/* =========================================================
   Variables & Font
========================================================= */
:root {
  /* =================================
   Brand Color Token (절대 고정)
================================= */
  --color-primary-hex: #733c9a;
  --color-primary-rgb: 115, 60, 154;/* #733c9a */

  --color-primary-hover-hex: #81169e;
  --color-primary-hover-rgb: 129, 22, 158;/* #81169e */

  --color-primary-light-hex: #f3effb;
  --color-primary-light-rgb: 243, 239, 251; /* #f3effb */


  /* =================================
   Neutral / Gray Scale
================================= */
  --color-white-hex: #ffffff;
  --color-white-rgb: 255, 255, 255;

  --color-gray-light-hex: #eaedef;
  --color-gray-light-rgb: 234, 237, 239;

  --color-gray-light-bg-hex: #fafafa;
  --color-gray-light-bg-rgb: 250, 250, 250;

  --color-gray-dark-hex: #777777;
  --color-gray-dark-rgb: 119, 119, 119;


  /* =================================
   Text Color
================================= */
  --color-text-primary: 51, 51, 51;/* #333 */
  --color-text-secondary: 85, 85, 85; /* #555 */
  --color-text-muted: 119, 119, 119; /* #777 */


  /* =================================
   Primary Accent (Font / Ornament)
================================= */
  --color-primary-light-font-hex: #c5a7e5;
  --color-primary-light-font-rgb: 197, 167, 229;

  --color-primary-light-ornament-hex: #f9f4ff;
  --color-primary-light-ornament-rgb: 249, 244, 255;

  --color-primary-light-num-hex: #bfa1d5;
  --color-primary-light-num-rgb: 191, 161, 213;


  /* =================================
   Bootstrap Role Mapping
================================= */
/* Primary */
--btn-primary-bg: var(--color-primary-hex);
--btn-primary-hover-bg: var(--color-primary-hover-hex);
--btn-primary-border: var(--color-primary-hex);
--btn-primary-hover-border: var(--color-primary-hover-hex);
--btn-primary-text: #fff;

/* Outline */
  --btn-outline-primary-text: var(--color-primary-hex);
  --btn-outline-primary-border: var(--color-primary-hex);
  --btn-outline-primary-hover-bg: var(--color-primary-hex);
  --btn-outline-primary-hover-text: #fff;


  /* =================================
     Border / Background
  ================================= */

  /* Background */
  /* --bg-muted-rgb: var(--color-gray-light-rgb);
  --bg-point-light-rgb: var(--color-gray-light-bg-rgb); */

  /* Border */
  --border-divider-rgb: 239, 239, 239;
  --border-input-rgb: 221, 221, 221;
  --border-box-rgb: 207, 210, 216;
  --border-emphasis-rgb: 200, 201, 206;

}

/* =========================
   Primary button
========================= */
.btn-primary {
  --bs-btn-color: var(--btn-primary-text);
  --bs-btn-bg: var(--btn-primary-bg);
  --bs-btn-border-color: var(--btn-primary-border);

  --bs-btn-hover-color: var(--btn-primary-text);
  --bs-btn-hover-bg: var(--btn-primary-hover-bg);
  --bs-btn-hover-border-color: var(--btn-primary-hover-border);

  --bs-btn-active-bg: var(--btn-primary-hover-bg);
  --bs-btn-active-border-color: var(--btn-primary-hover-border);

  --bs-btn-disabled-bg: var(--btn-primary-bg);
  --bs-btn-disabled-border-color: var(--btn-primary-bg);
}

.btn-outline-primary {
  --bs-btn-color: var(--btn-outline-primary-text);
  --bs-btn-border-color: var(--btn-outline-primary-border);

  --bs-btn-hover-color: var(--btn-outline-primary-hover-text);
  --bs-btn-hover-bg: var(--btn-outline-primary-hover-bg);
  --bs-btn-hover-border-color: var(--btn-outline-primary-border);

  --bs-btn-active-bg: var(--btn-outline-primary-hover-bg);
  --bs-btn-active-color: var(--btn-outline-primary-hover-text);
}


/* Font */
@font-face {
  font-family: 'Pretendard';
  src: url('/resources/cyber/fonts/PretendardVariable.woff2') format('woff2-variations');
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}

/* PlayfairDisplay */
/* Copyright 2017 The Playfair Display Project Authors  */
@font-face {
  font-family: 'PlayfairDisplay';
  src: url('/resources/cyber/fonts/PlayfairDisplay-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'PlayfairDisplay';
  src: url('/resources/cyber/fonts/PlayfairDisplay-Italic.woff2') format('woff2');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

body {
  font-family: "pretendard", sans-serif;
  font-weight: 400;
  overflow-x: hidden;
  color: var(--color-text-primary);
}

/* =========================================================
   Utility Resets
========================================================= */
ul,
ol {
  list-style: none;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: inherit;
}

button {
  background: transparent;
  border: 0;
  cursor: pointer;
}

dl {
  margin-bottom: 0;
}


/* ===================================================
Utility Common
=================================================== */
/* ===== list base ===== */
.list {
  padding-left: 1.5rem;
}

.list > li {
  list-style-position: outside;
  padding-left: 0.25rem;
}

/* list style 리스트 스타일 */
/* 기본 숫자 리스트 */
/* ===== marker types ===== */
.list-decimal > li {
  list-style-type: decimal;
}

.list-lower-alpha > li {
  list-style-type: lower-alpha;
}

.list-upper-alpha > li {
  list-style-type: upper-alpha;
}

.list-lower-roman > li {
  list-style-type: lower-roman;
}

.list-upper-roman > li {
  list-style-type: upper-roman;
}

.list-disc > li {
  list-style-type: disc;
}

.list-circle > li {
  list-style-type: circle;
}

.list-square > li {
  list-style-type: square;
}

.list-none > li {
  list-style-type: none;
}


.list-custom-hyphen {
  position: relative;
}

.list-custom-hyphen li::before {
  content: '-'; /* 원하는 기호나 이모지 입력 */
  position: relative;
  left: -1rem;
  font-weight: bold;
}


/* width */
@media (min-width: 576px) { 
  .w-sm-auto{
    width: auto !important;
  }
}
@media (min-width: 768px) { 
  .w-md-auto{
    width: auto !important;
  }
}
@media (min-width: 992px) { 
  .w-lg-auto{
    width: auto !important;
  }
}
@media (min-width: 1200px) {
  .w-lg-auto{
    width: auto !important;
  }
}

/* Container overwrite */
.container-xxl {
  max-width: 1600px;
  padding: 0 1rem;
}

.text-ellipsis {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.line-clamp-2 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.primary-font{
  color: rgb(var(--color-primary-rgb));
}

.point-font{
  color: rgb(var(--color-point-rgb));
}

.muted-font {
  color: rgb(var(--color-text-muted));
}

.sebangGothic {
  font-family: 'SEBANGGothic';
}

.btn-outline-primary{
  
}

.border-color-divider {
	border-color : rgb(var(--border-divider-rgb));
	opacity: 1;
}

.border-color-input {
	border-color : rgb(var(--border-input-rgb));
	opacity: 1;
}

.border-color-box {
	border-color : rgb(var(--border-box-rgb));
	opacity: 1;
}

.border-color-emphasis {
	border-color : rgb(var(--border-emphasis-rgb));
	opacity: 1;
}


/* =========================================================
   Header
========================================================= */
/* ------- top wrap -------- */
#header .top-wrap {
  background-color: var(--color-gray-light-hex);
  border-bottom: 1px solid var(--color-gray-light-hex);
}

#header .top-item {
  width: 160px;
  height: 40px;
  text-align: center;
}

#header .top-link {
  display: block;
  line-height: 40px;
  font-weight: 500;
}

/* 첫 번째 항목 */
#header .top-item:first-child .top-link {
  background-color: var(--color-white-hex);
  color: var(--color-primary-hex);
}

/* 두 번째 항목 */
#header .top-item:nth-child(2) .top-link {
  background-color: var(--color-primary-hex);
  color: var(--color-white-hex);
}

@media (max-width: 991.98px) {
  #header .top-wrap {
    display: none;
  }
}

/* ------- header nav -------- */
.header-nav {
  height: 80px;
  position: relative;
}

.header-nav .container-xxl {
  padding: 0 1rem;
}

/* Logo */
.header-nav .logo {
  line-height: 0;
}

.header-nav .logo a {
  display: block;
}

#header .logo img {
  width: auto;
  height: 50px;
  max-width: 100%;
  object-fit: cover;
}

.gnb-menu {
  margin-right: 20px;
  height: 100%;
}

.gnb-item {
  height: 100%;
}

.gnb-link {
  display: flex;
  align-items: center;
  height: 100%;
  padding: 0 1rem;
  font-size: 18px;
  font-weight: 500;
  color: #333;
  transition: color 0.2s;
}

.gnb-item:hover .gnb-link,
.gnb-item:focus .gnb-link {
  color: var(--color-primary-hex);
  font-weight: 800;
}

/* =========================================================
  Mega Menu
========================================================= */
.gnb-item .mega-menu {
  --bg-split-left: 25%;

  width: 100%;
  position: absolute;
  top: 100%;
  left: 0;
  /* border-bottom: 1px solid var(--color-gray-light-hex); */
  overflow: hidden;
}

.mega-inner {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.35s ease;
  display: block;
}

.gnb-item .mega-menu::before,
.gnb-item .mega-menu::after {
  content: "";
  position: absolute;
  top: 1px;
  bottom: 0;
  z-index: 1;
}

.gnb-item .mega-menu::before {
  background-color: var(--color-primary-hex);
  background-image: url("/resources/cyber/images/common/megaBg.png");
  background-repeat: no-repeat;
  background-position: left -10% bottom;
  left: 0;
  right: calc(100% - var(--bg-split-left));
  /* right: var(--left-bg-right); */
}

/* RIGHT 영역 */
.gnb-item .mega-menu::after {
  left: var(--bg-split-left);
  right: 0;
  background: var(--color-white-hex);
}

.gnb-item .mega-menu .container-xxl {
  position: relative;
  z-index: 2;
}

.mega-left {
  flex: 0 0 25%;
  height: 100%;
  color: #fff;
  text-align: right;
  padding-right: 3rem;
}

.mega-right {
  flex: 0 0 75%;
  padding: 0 2rem;
}

.mega-right .sub-item {
  padding: 1rem;
}

.mega-right .sub-link,
#sitemapModal .sub-link {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 50px;
  padding: 0 1rem;
  border: 1px solid var(--color-gray-light-hex);
  border-radius: 0.5rem;
  background-color: var(--color-white-hex);
  overflow: hidden;
  z-index: 0;
  transition: transform 0.5s ease-in-out;
}

.mega-right .sub-link span,
.mega-right .sub-depth .depth-link span,
.sitemap-item .sub-link span {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.mega-right .sub-link .material-symbols-outlined {
  color: var(--color-gray-dark-hex);
}

/* 회전 애니메이션 테두리 */
@property --angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

@keyframes rotate {
  to {
    --angle: 360deg;
  }
}

.mega-right .sub-link::before,
#sitemapModal .sub-link::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  padding: 3px;
  background: conic-gradient(from var(--angle),
      #4a02aa,
      #5a16b5,
      #6b2cc0,
      #7c3fd0,
      #4a02aa);
  -webkit-mask: linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0) padding-box;
  -webkit-mask-composite: destination-out;
  mask-composite: exclude;
  opacity: 0;
  z-index: 1;
  pointer-events: none;
  transform: translateZ(0);
  animation: rotate 3s linear infinite paused;
  box-sizing: border-box;
  transition: all 0.3s ease-in-out;
}

.mega-right .sub-link::before {
  animation-play-state: paused;
}

@media (hover: hover) {

  .mega-right .sub-item:hover .sub-link::before,
  #sitemapModal .sub-link:hover::before {
    opacity: 1;
    animation-play-state: running;
  }
}

.mega-right .sub-item.is-active .sub-link::before,
.mega-right .sub-item:focus-within .sub-link::before,
#sitemapModal .sub-link:focus-within::before {
  opacity: 1;
  animation-play-state: running;
}

.mega-right .sub-depth {
  width: 100%;
  border-radius: 0.5rem;
  background-color: var(--color-gray-light-bg-hex);
  margin-top: 0.5rem;
  padding: 0.25rem 0;
}

.mega-right .sub-depth li {
  border-bottom: 1px dotted var(--color-gray-light-hex);
}

.mega-right .sub-depth li:last-child {
  border-bottom: none;
}

.mega-right .sub-depth .depth-link {
  padding: 0.5rem 1rem;
  display: flex;
}

.mega-right .sub-depth .depth-link:hover {
  color: var(--color-primary-hover-hex);
  font-weight: 600;
}

/* @media (max-width: 1199.98px) {
  .gnb-item .mega-menu::before {
    width: 30%;
    left: 0;
    right: 70%;
  }

  .gnb-item .mega-menu::after {
    width: 70%;
    left: 30%;
    right: 0;
  }

  .mega-left {
    flex: 0 0 30%;
  }

  .mega-right {
    flex: 0 0 70%;
  }
} */


/* =========================================================
  Media Queries
========================================================= */

/* PC */
@media (min-width: 1199.98px) {
  #offcanvasNavbar {
    position: static;
    transform: none;
    visibility: visible;
    opacity: 1;
    width: auto;
    height: 100%;
    border: none;
    background: transparent;
  }

  #offcanvasNavbar .offcanvas-header,
  #offcanvasNavbar .mobile-utill {
    display: none !important;
  }

  #offcanvasNavbar .offcanvas-body {
    padding: 0;
  }

  .offcanvas-backdrop {
    display: none !important;
  }

  .mobile-navbar-toggler {
    display: none !important;
  }

  .gnb-item .mega-menu {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s;
  }

  .gnb-item:hover>.mega-menu,
  .gnb-item:focus-within>.mega-menu {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }

  .gnb-item:hover .mega-inner,
  .gnb-item:focus-within .mega-inner {
    max-height: 1000px;
    padding: 1.5rem 2rem;
  }
}

/* Mobile */
/* @media (max-width: 1199.98px) {
  .header-nav {
    height: auto;
  }

  .header-nav>.container-xxl {
    flex-direction: column;
    justify-content: center;
    padding-bottom: 1rem;
  }

  .header-nav .logo {
    padding: 1rem 0;
  }

  .header-nav .logo img {
    height: 100%;
    vertical-align: initial;
    object-fit: cover;
  }

  .header-nav .nav-wrap {
    width: 100%;
    gap: 2rem;
  }

  #gnb {
    width: 100%;
    justify-content: space-between;
  }

  #offcanvasNavbar {
    width: calc(100% - 80px);
  }

  .gnb-menu {
    justify-content: space-between;
  }

  ..gnb-link {
    padding: 1rem;
  }
} */

@media (max-width: 1199.98px) {
   /* ----- 1199.98px ----- */
   .header-nav {
    height: auto;
  }

  .header-nav>.container-xxl {
    flex-direction: column;
    justify-content: center;
    padding-bottom: 1rem;
  }

  .header-nav .logo {
    padding: 1rem 0;
  }

  .header-nav .logo img {
    height: 100%;
    vertical-align: initial;
    object-fit: cover;
  }

  .header-nav .nav-wrap {
    width: 100%;
    gap: 2rem;
  }

  #gnb {
    width: 100%;
    justify-content: space-between;
  }

  #offcanvasNavbar {
    width: calc(100% - 80px);
  }

  .gnb-menu {
    justify-content: space-between;
  }

  .gnb-link {
    padding: 1rem;
  }
  
  /* ----------------------- */
	
	
  .header-nav>.container-xxl {
    flex-direction: row;
    justify-content: space-between;
    padding-bottom: 0;
  }

  #header .logo img {
    height: 32px;
  }

  #gnb {
    width: auto;
  }

  #offcanvasNavbar {
    width: 80vw;
  }

  .offcanvas-title img {
    max-height: 32px;
  }

  .offcanvas-body {
    padding: 0;
    border-top: 1px solid var(--color-gray-light-hex);
  }

  .gnb-menu {
    margin-right: 0;
    margin-top: 1rem;
  }

  .gnb-item {
    height: auto;
  }

  .gnb-link {
    width: 100%;
    padding: 1rem 2rem;
    position: relative;
  }

  .gnb-item.active .gnb-link,
  .gnb-link.isActive {
    color: var(--color-primary-hover-hex);
    font-weight: 800;
  }

  .gnb-item .mega-menu {
    display: none;
    border: none;
    box-shadow: none !important;
    background-color: var(--color-gray-light-bg-hex);
    border-radius: 0;
    /* margin-bottom: 2rem; */
  }

  .gnb-item.active .mega-menu {
    display: block;
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  }

  .gnb-item .mega-inner {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.35s ease;
    padding: 0 2rem;
  }

  .gnb-item.active .mega-inner {
    padding: 0;
  }

  .gnb-item .mega-menu::before,
  .gnb-item .mega-menu::after,
  .mega-right .sub-link::before {
    content: none;
  }

  .mega-left {
    display: none;
  }

  .gnb-item .mega-menu .container-xxl {
    max-width: none;
    padding: 0;
  }

  .mega-right {
    padding: 0;
    flex: 1;
  }

  .mega-right .sub-menu {
    margin: 0;
  }

  .mega-right .sub-item {
    padding: 0;
    border-bottom: 1px dotted var(--color-gray-light-hex);
    position: relative;
  }
  
  .mega-right .sub-item.isActive::after {
  	content: '';
  	position: absolute;
  	left: 0;
  	top: 0;
  	width: 95%;
	height: 100%;
	background-color: rgba(var(--color-primary-hover-rgb), 0.8);
	box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
	border-radius: 0 1rem 1rem 0;
  }

  .mega-right .sub-link {
    height: 50px;
    padding: 0 3rem;
    border: none;
    border-radius: 0;
    background-color: transparent;
  }
  
   .mega-right .sub-item.isActive .sub-link {
  	color: #fff;
    z-index: 1;
   }

  .mega-right .sub-depth {
    display: none;
    margin-top: 0;
    opacity: 0;
    visibility: hidden;
    border-top: 1px solid var(--color-gray-light-hex);
  }

  .mega-right .sub-item.active .sub-depth {
    opacity: 1;
    visibility: visible;
    display: block;
  }

  .mega-right .sub-item.active .depth-link {
    padding: 0.5rem 2.5rem;
  }
}

/* =========================================================
  PC Site Map Button
========================================================= */
.burger {
  border-radius: 0.5rem;
  width: 40px;
  height: 40px;
  border-top-left-radius: 0;
  background-color: var(--color-primary-light-hex);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
  transition: background-color 0.3s, border-color 0.3s;
}

.burger .bar {
  width: 18px;
  height: 2px;
  background-color: var(--color-primary-hex);
  display: block;
  transition: transform 0.3s, opacity 0.3s;
}

.burger:hover {
  background-color: var(--color-primary-hex);
}

.burger:hover .bar {
  background-color: #fff;
}

.burger.active .bar:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}

.burger.active .bar:nth-child(2) {
  opacity: 0;
}

.burger.active .bar:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

/* .sitemap-modal{
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,.6);
  opacity: 0;
  visibility: hidden;
  transition: .3s;
  z-index: 1050;
}

.sitemap-modal.is-open{
  opacity: 1;
  visibility: visible;
  padding: 0 1rem;
}

.sitemap-inner{
  max-width: 1200px;
  margin: 80px auto;
  background: #fff;
  border-radius: 1rem;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  padding: 2rem 4rem;
  max-height: calc(100vh - 160px);
}

.sitemap-body{
  flex: 1 1 auto;
  overflow-y: auto;
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch;
}

.sitemap-scroll{
  padding: 0 1rem;
  max-height: calc(100vh - 160px);
  overflow-y: auto;
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: thin;
  scrollbar-color: #a788bc #f1f1f1;
}

.sitemap-scroll::-webkit-scrollbar {
  width: 8px;
}

.sitemap-scroll::-webkit-scrollbar-track {
  background: #f1f1f1;
}

.sitemap-scroll::-webkit-scrollbar-thumb {
  background-color: #a788bc;
  border-radius: 8px;
}


.sitemap-header{
  position: relative;
  margin-bottom: 3%;
}

.sitemap-header .navbar-brand{
  height: 50px;
  display: inline-block;
}

.sitemap-header .navbar-brand img{
  object-fit: cover;
  height: 100%;
}

.sitemap-close{
  font-size: 3rem;
  position: absolute;
  top: 0;
  right: 0;
  line-height: 1;
  font-weight: 300;
  color: var(--color-gray-dark-hex);
}

.sitemap-close{
  color: var(--color-text-primary2);
}

.sitemap-menu{
  gap: 3rem;
}

.sitemap-item {
  width: 100%;
}

.sitemap-item .sub-item{
  padding: 1rem;
}

.sitemap-item .sub-link{
  display: flex;
  align-items: center;
}

.sitemap-item .sub-link span{
  flex: 1;
  min-width: 0;
}

.sitemap-item .sub-link:hover,
.sitemap-item .sub-link:focus-within{
  color: var(--color-primary-hex);
  font-weight: 600;
} */


/* =========================================================
   footer
========================================================= */
#footer {
  background-color: #383838;
}

.ft-top {
  background-color: rgb(var(--color-text-primary));
  padding: 1rem 0;
}

.ft-top .ft-service {
  color: var(--color-white-hex);
}

.ft-top .ft-service li a {
  padding: 0.5rem 1.5rem;
  border-radius: 2rem;
  display: inline-block;
  transition: background 0.3s;
  font-size: 0.875rem;
}

.ft-top .ft-service li:nth-child(1) a {
  background-color: #000;
}

.ft-top .ft-service li a:hover {
  background-color: #000;
}

.ft_bottom {
  padding-top: 2rem;
  padding-bottom: 3rem;
}

.ft_bottom .addr {
  padding: 0 1rem;
}

.ft_bottom .addr p {
  color: var(--color-white-hex);
  font-size: 0.875rem;
  margin: 0;
}

.ft_bottom .addr .copy {
  color: var(--color-gray-dark-hex);
  margin-top: 0.5rem;
}

.ft-nav-btn {
  background-color: rgb(var(--color-text-secondary));
  border-radius: 2rem;
  color: var(--color-white-hex);
  font-size: 0.875rem;
  padding: 0.375rem 1rem;
}

.ft-nav-btn:hover,
.ft-nav-btn:focus-within,
.ft-nav-btn:active,
.ft-nav-btn.show,
.ft-nav-btn.active {
  background-color: var(--color-gray-dark-hex);
  color: var(--color-white-hex);
}


/* Mobile */
@media (max-width: 991.98px) {

  .ft-top .container-xxl,
  .ft_bottom .container-xxl {
    flex-direction: column;
    gap: 1rem;
  }

  .ft-top .ft-service {
    order: 1;
  }

  .ft-top .ft-service {
    flex-wrap: nowrap;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
  }

  .ft-top .ft-service::-webkit-scrollbar {
    display: none;
  }

  .ft-top .ft-service li {
    flex: 0 0 auto;
  }


  .ft-logo {
    margin: 0 auto;
    order: 0;
  }

  .ft_bottom .addr {
    text-align: center;
    padding: 0 2rem;
  }

  .ft-nav {
    margin-left: 0 auto;
  }

}


/* =========================================================
   modal
========================================================= */
/* ================= ROOT ================= */
.ui-modal-root {
  position: fixed;
  inset: 0;
  z-index: 2000;
  visibility: hidden;
  pointer-events: none;
}

.ui-modal-root.is-open,
.ui-modal-root.is-closing {
  visibility: visible;
  pointer-events: auto;
}

/* ================= BACKDROP ================= */
.ui-modal-backdrop {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, .8);
  display: flex;
  justify-content: center;
  align-items: center;
  overflow-x: hidden;
  overflow-y: auto;
  opacity: 0;
  transition: opacity .3s ease;
}

.ui-modal-root.is-open .ui-modal-backdrop {
  opacity: 1;
}

/* ================= DEFAULT MODAL ================= */
.ui-modal--default {
  opacity: 0;
  transform: scale(.95);
  transition: opacity .3s ease, transform .3s ease;
}

.ui-modal-root.is-open .ui-modal--default {
  opacity: 1;
  transform: scale(1);
}

/* ================= MODAL ================= */
.ui-modal {
  width: 100%;
  max-width: 640px;
  background: #fff;
}

.ui-modal--xxl {
  width: 100%;
  max-width: 1600px;
  background: none;
}

.ui-modal--fullscreen {
  max-width: none;
  height: 100%;
  background: none;
}

/* ================= HEADER / CONTENT ================= */
.ui-modal__header {
  display: flex;
  justify-content: space-between;
  padding: 1.25rem 1.5rem;
  border-bottom: 1px solid #eee;
  position: relative;
}

.ui-modal__content {
  padding: 1.5rem;
}

/* ================= ACCESSIBILITY ================= */
/* 
전정 장애(vestibular disorders)를 겪는 사용자를 배려
사용자의 운영체제(OS) 설정에 따라 웹사이트의 애니메이션 및 전환 효과를 제거하여 동작을 최소화하는 CSS 미디어 쿼리
*/
@media (prefers-reduced-motion: reduce) {
  * {
    transition: none !important;
  }
}


/* =========================================================
   sitemap
========================================================= */
.ui-modal-backdrop--sitemap {
  align-items: flex-start;
  transform: translateY(-100%);
  transition: opacity .3s ease, transform .2s ease;
  padding: 1rem;
  background: rgba(var(--color-primary-light-ornament-rgb), 1);
}

.ui-modal-root.is-open .ui-modal-backdrop--sitemap {
  transform: translateY(0);
}

.ui-modal-root.is-closing .ui-modal-backdrop--sitemap {
  transform: translateY(-100%);
}

.ui-modal-backdrop--sitemap .ui-modal__header {
  border-color: var(--color-white-hex);
  justify-content: center;
  background-color: rgba(var(--color-point-rgb), 1);
}

.ui-modal-backdrop--sitemap .ui-modal__content {
  /* background-color: rgba(255, 255, 255, 1); */
  /* border-radius: 1rem;
  padding-block: 3rem; */
}

#modal-title-sitemap {
  margin: 0;
  line-height: 0;
}

#modal-title-sitemap a {
  display: block;
}

#modal-title-sitemap img{
  width: auto;
  height: 50px;
  max-width: 100%;
  object-fit: cover;
}

.sitemap-close {
  position: absolute;
  top: 50%;
  right: 3rem;
  transform: translateY(-50%);
  width: 3rem;
  height: 3rem;
  color: rgb(var(--color-text-primary));
  background-color: rgba(var(--color-white-rgb), 1);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-weight: 800;
  border-radius: 50%;
  transition: all 0.3s;
}

.sitemap-close span {
  transition: all 0.3s;
}

.sitemap-menu {
  position: relative;
  z-index: 1;
}

.sitemap-menu .menu-item {
  height: 100%;
  border-radius: 1rem;
  display: flex;
  align-items: center;
  border-bottom: 1px solid rgba(var(--border-input-rgb), 1);
}

.sitemap-menu .menu-title {
  font-size: 1.5rem;
  font-weight: 600;
  border-bottom: 3px solid rgba(var(--color-primary-rgb), 1);
  padding-inline: 1rem;
  padding-block: 2rem;
  margin-bottom: 0;
  min-width: 220px;
}

.sitemap-menu .sub-menu {
  font-size: clamp(1rem, 2.2vw, 1.15rem);
  display: flex;
}

.sitemap-menu .sub-menu .sub-link{
  padding: 0 1rem;
  display: inline-block;
}

.ui-modal-backdrop--sitemap .marquee-wrap{
  top: initial;
  bottom: 0;
  z-index: 0;
}

.ui-modal-backdrop--sitemap .marquee-text{
  color: rgb(var(--color-primary-light-rgb));
}

@media (hover: hover) and (pointer: fine) {
  .sitemap-close:hover span,
  .sitemap-close:focus-visible span {
    transform: rotate(180deg);
  }

  .sitemap-menu .menu-item:hover,
  .sitemap-menu .menu-item:focus-visible {
    background-color: rgba(var(--color-primary-light-rgb), 1);
  }

  .sitemap-menu .sub-item:hover .sub-link,
  .sitemap-menu .sub-item:focus-visible .sub-link {
    font-weight: 500;
    text-decoration: underline;
  }
}

/* Mobile */
@media (max-width: 1199.98px) {
  .sitemap-menu .menu-item{
    align-items: flex-start;
    flex-direction: column;
    padding-block: 2rem;
    border-radius: 0;
  }

  .sitemap-menu .menu-title{
    border: none;
    padding-top: 0;
    padding-bottom: 0.6rem;
  }

  .sitemap-menu .sub-menu .sub-link{
    /* padding: 1rem; */
  }
}

@media (max-width: 991.98px) {
  .sitemap-menu .menu-item {
    padding-inline: 0;
  }
}